
From: Gerd Knorr <kraxel@bytesex.org>

Fix for the msp3400 module: make the initial carrier scan (after loading
the driver) work.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/msp3400.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/media/video/msp3400.c~v4l-msp3400-fix drivers/media/video/msp3400.c
--- 25/drivers/media/video/msp3400.c~v4l-msp3400-fix	Mon Nov  8 13:54:44 2004
+++ 25-akpm/drivers/media/video/msp3400.c	Mon Nov  8 13:54:44 2004
@@ -1426,6 +1426,8 @@ static int msp_command(struct i2c_client
 static int msp_suspend(struct device * dev, u32 state, u32 level);
 static int msp_resume(struct device * dev, u32 level);
 
+static void msp_wake_thread(struct i2c_client *client);
+
 static struct i2c_driver driver = {
 	.owner          = THIS_MODULE,
 	.name           = "i2c msp3400 driver",
@@ -1550,7 +1552,7 @@ static int msp_attach(struct i2c_adapter
 		msp->kthread = kthread_run(thread_func, c, "msp34xx");
 		if (NULL == msp->kthread)
 			printk(KERN_WARNING "msp34xx: kernel_thread() failed\n");
-		wake_up_interruptible(&msp->wq);
+		msp_wake_thread(c);
 	}
 
 	/* done */
_
